# -*- coding: utf-8 -*-

from django.contrib import admin
from django_admin import ReadOnlyModelAdmin, Readonly2ModelAdmin

from pay.models import OrderInfo


class OrderInfoAdmin(ReadOnlyModelAdmin, Readonly2ModelAdmin, admin.ModelAdmin):
    list_display = ('kol_id', 'pack_id', 'goods_info', 'user_id', 'total_fee', 'name', 'phone', 'address', 'tracking_number', 'pay_status', 'status', 'created_at', 'updated_at')
    readonly_fields_exclude = ('tracking_number', )


admin.site.register(OrderInfo, OrderInfoAdmin)
